<?php
// +--------------------------------------+
// |     CMV  2004  2006 mnProjects     |
// |     http://www.mnprojects.com        |
// |     CMV System by Miguel Nunes       |
// +--------------------------------------+

if(!defined('in_admin'))
die('Permission Denied!');


#################################### Login #####################################

include('./protection.php');

if($protectadmin == "true")
{
   require_once('auth_adminonly.php');
}


############################## Load needed files ###############################

// Load core
@include('../includes/core.php');

// Load class
include('../includes/cmvclass.php');


// Count total members
$qwr_count = 'SELECT * FROM '.TABLE_PREFIX.'members';
$query_count = mysql_query($qwr_count, $connection);
$result_count = mysql_numrows($query_count);


################################## Form Action #################################

$editFormAction = $_SERVER['PHP_SELF'];


function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "")
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}


################################ Check 4 errors ################################

function check4errors()
{
  global $cmf, $row_langskintable, $protectadmin, $result_count;

       // Define the errors
       if (file_exists('../install/')) { $errorsfound_acp[] = 'Error - Install folder is present, please remove it.'; }
       if (!file_exists('../languages/'.$row_langskintable['lang'].'/'.$cmf->langprefix.'lang.php')) { $errorsfound_acp[] = 'Error - Language file was not found!'; }
       if (!file_exists('../skins/'.$row_langskintable['skin'].'/design.css')) { $errorsfound_acp[] = 'Error - Skin css file not found!'; }
       if ($protectadmin != 'true') { $errorsfound_acp[] = 'Warning - Admin panel is not protected! Please check protection.php.'; }
       if ($result_count == 0) { $errorsfound_acp[] = 'Warning - There are no registered members.'; }

       // Get the errors
       if (isset($errorsfound_acp))
       {
           $count = count($errorsfound_acp);

           if ($count == 1)
           {
                $count = $count . ' Error Found!';
           } else {
                $count = $count . ' Errors Found!';
           }

           echo '<br>';
           echo '<table width="100%" cellpadding="0" cellspacing="0"><tr><td class="errorTop">'.$count.'</td></tr>
                   <tr>
                     <td class="error">';

           for($i = 0; $i < count($errorsfound_acp); $i++)
           {
               echo '<b>' . ($i + 1) . '.</b> ' . $errorsfound_acp[$i] . '<br>';
           }

           echo '</td></tr></table>';
       }
}


############################### Version History ################################

function vHistory()
{
  global $connection;

      $qwr = 'SELECT * FROM '.TABLE_PREFIX.'versions ORDER BY vcode DESC LIMIT 5';
      $query = mysql_query($qwr, $connection);
      $resultsnumber = mysql_numrows($query);

      $alternate = "2";

      while($datas = mysql_fetch_array($query))
      {

             if ($alternate == "1")
             {
                     $class = "row2";
                     $alternate = "2";
             } else {
                     $class = "row1";
                     $alternate = "1";
             }

             echo '<tr class="'.$class.'">';
             echo '<td>'.$datas['vname'].'</td>';
             echo '<td>'.$datas['vcode'].'</td>';
             echo '<td>'.$datas['date'].'</td>';
             echo '</tr>';
      }

      if ($resultsnumber == "0")
      {
          echo '<tr><td>ERROR: No version found in history</td></tr>';
      }
}


############################## Action taken box ################################

function actbox($msg, $color)
{
   echo '<fieldset style="border: 1px solid gray; background: #FFF193;">';
   echo '<font color="'.$color.'" size="3px"><b>! </b>';
   echo '</font>&nbsp;'.$msg.'</fieldset>';
}


##################################### Logout ###################################

if(isset($_GET['logout']))
{
    include('source/logout.php');
    exit;
}

?>